package netsplit

import (
	`log`
	`net/netip`
)

func init() {
	var err error
	var pfx netip.Prefix

	ReservedNets = make(map[netip.Prefix]string)

	for np, reason := range reservedNetsOrig {
		if pfx, err = netip.ParsePrefix(np); err != nil {
			log.Panicln(err)
		}
		ReservedNets[pfx] = reason
	}
}
